> For the complete documentation index, see [llms.txt](https://doc.batch.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://doc.batch.com/developer/sdk/web/legacy-documentation/unsecure-mode.md).

# Choosing the HTTP/Multidomain mode

{% hint style="info" %}
**The HTTP/Multidomain support has been dropped on the 3.0 version of our SDK.**\
\
We advise against using this integration mode. It's often better to wait that your website is secured (HTTPS) before implementing push notifications. Please reach out to our team so we can discuss your specific goals and advise you on this topic.
{% endhint %}

If for any reason you cannot use the secure mode, here is a list of disadvantages that come with the HTTP/Multidomain mode:

* Subscribing to notifications will be more tedious:
* Users will have to allow notifications in a popup, which has a negative impact on opt-in rates.
* They will also be more frustrated if they want to disable notificaitons, since this will have to be done in a popup too.
* `<your_app>.via.batch.com` will appear on received notifications, potentially confusing the user. Tokens will be granted for the `<your_app>.via.batch.com` subdomain, making them unusuable with another provider.
* Browsers don't always support this mode, as Firefox that dropped support for push subscription in iframes.

![Secure vs HTTP opt-in comparaison](https://38998153-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FCL8wF0y1T2vLnm3yR2MW%2Fuploads%2FbTJ5SqWRkly0AN0C2pZD%2Fsecure_insecure_optin.png?alt=media\&token=b99c8711-afc7-4fbb-85ab-bedc7dd1c224)

If you're still sure that you want to go on with a HTTP/multidomain integration, you will need to use a SDK version below 3.0, and add the following line to the JavaScript configuration tag setup object:

```javascript
sameOrigin: false
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://doc.batch.com/developer/sdk/web/legacy-documentation/unsecure-mode.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
